# This is the SPEC file for creating binary and source RPMs for the VMs.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
Name:		qubes-gui-agent-selinux
Version:	4.3.2
Release:	1%{?dist}
Summary:	The Qubes GUI Agent for AppVMs
License:	GPLv2+
URL:		https://www.qubes-os.org
BuildArch: noarch

BuildRequires: selinux-policy
BuildRequires: selinux-policy-devel
BuildRequires: qubes-core-agent-selinux
Requires(post): qubes-core-agent-selinux
BuildRequires: qubes-core-qrexec-vm-selinux
Requires(post): qubes-core-qrexec-vm-selinux
%{?selinux_requires}

Source0: qubes-gui-agent-%{version}.tar.gz

%description
SELinux policy for the Qubes GUI Agent.  This allows the Qubes GUI Agent to run
in a VM with SELinux enforcing, as is the default on Red Hat-family
distributions.

%prep
%setup -qn qubes-gui-agent-%{version}

%files
%_datadir/selinux/packages/qubes-gui-agent.pp

%build
%{?set_build_flags}
#make clean
make selinux

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{name}-%{version}

%install
make install-selinux DESTDIR=$RPM_BUILD_ROOT \
                     LIBDIR=%{_libdir} \
                     DATADIR=%{_datadir} \

%post

%selinux_modules_install %{_datadir}/selinux/packages/qubes-gui-agent.pp

%postun
if [ "$1" -eq 0 ]; then
    %selinux_modules_uninstall %{_datadir}/selinux/packages/qubes-gui-agent.pp
fi || :

%posttrans
%selinux_relabel_post
exit 0

%changelog
* Tue Dec 10 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-gui-agent-linux.git

* Tue Dec 10 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7e9ec8
- version 4.3.2

* Sun Dec 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ad1350
- xf86-input-mfndev: interrupt attempts to contact gui-agent on SIGTERM

* Fri Dec 06 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7be8161
- pipewire: prevent starting in root session

* Mon Dec 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 1d2026a
- Fix logging in xf86-input-mfndev

* Mon Dec 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - eaba72a
- Better handle premature Xorg exit

* Mon Dec 02 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0806e2f
- Move signal registraion earlier

* Fri Nov 08 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 050cfbd
- version 4.3.1

* Wed Nov 06 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - f5ac7a8
- rpm: depend on cvt in F41+

* Sun Oct 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a7a6bff
- Bump required qubes-gui-common version

* Sun Oct 27 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 01220bc
- version 4.3.0

* Fri Oct 25 2024 Ali Mirjamali <ali@mirjamali.com> - 178df5e
- Switching CI to R4.3

* Fri Oct 25 2024 Ali Mirjamali <ali@mirjamali.com> - 0eac410
- Handle oversized clipboard for GUI protocol 1.8

* Sat Aug 24 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bc2f589
- version 4.2.18

* Fri Aug 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 565e83b
- Fix input device labels

* Tue Jul 30 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 5512d61
- version 4.2.17

* Tue Jul 30 2024 Simon Gaiser <simon@invisiblethingslab.com> - 69c42d3
- xf86-input-mfndev: Block generation of key repeat events

* Sun Jul 28 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - c8e4877
- Prevent xfsettingsd re-enabling key auto-repeat feature

* Fri Jul 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 8f5f47d
- version 4.2.16

* Mon Jun 24 2024 Ben Grande <ben.grande.b@gmail.com> - c76a730
- Use software rendering for Gio apps by default

* Mon Jun 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 66161c3
- version 4.2.15

* Fri Jun 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4b71d95
- Run x11vnc with correct SELinux context

* Wed Jun 12 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - b19a4ee
- Fix missing glamoregl module in Xorg config for VNC GUIVM

* Mon May 06 2024 Kamil Aronowski <kamil.aronowski@yahoo.com> - 7a9ed34
- Add xorg-xrandr dependence for vm-archlinux

* Fri Apr 26 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2d5273b
- version 4.2.14

* Fri Apr 26 2024 Frédéric Pierret (fepitre) <frederic.pierret@qubes-os.org> - 29fc016
- Watch qdb entry being set and modified on start or while playing

* Wed Mar 06 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - a728eda
- Allow carriage return in secure clipboard

* Tue Mar 05 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 34fcc00
- Allow Qubes group to use all realtime priorities

* Tue Feb 27 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - dfcfc12
- Clarify input vs output streams

* Tue Feb 06 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - fc04d11
- Use the drained callback on the playback stream

* Tue Feb 06 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 02c85ab
- rpm: fix conditional pipewire build

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 25b2456
- version 4.2.13

* Mon Feb 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 42b6640
- qubes-gui-runuser: fix parameters order for calloc

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 92a144b
- Fix audio quality problems

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 589bd4e
- Pass streams to stream callbacks

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f185dd7
- Avoid crashing during shutdown

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - bc3fd9a
- Do not rely on pw_context_get_support() on modern PipeWire

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 5e8b0cb
- Drop support for PipeWire < 0.3.30

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - d46c75a
- Fix package descriptions

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - fe5428f
- Set node.rate for streams

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - de30dd2
- Add utility program to run any PipeWire stream

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 454c637
- Use libvchan_send and libvchan_recv for all-or-nothing ops

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 59b39bc
- Allow capturing vchan size in one go

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 147d4ea
- Better error reporting

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 602d8da
- Avoid zeroing out recorded samples if underrun

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - f21c949
- Atomically send initial stream states

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - d91ef65
- Use a #define for the stream rate

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 8632a4e
- Do not send QUBES_PA_SINK_UNCORK_CMD on overrun

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 62bc13c
- Fix error message when spa_format_parse() fails

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 970526f
- Downgrade unknown ID errors to warnings

* Fri Feb 02 2024 Demi Marie Obenour <demi@invisiblethingslab.com> - 1908dfb
- Reduce usage of confusing 'direction' flag

